::256-bit ECDSA Algorithm

::LP Slave
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/LP_Slave/LPSLAVE.ldr -outfile ./Secure_BLw/LP_Slave/BLw_LPSLAVE_256.ldr

::UART Slave
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/UART_Slave/UARTSLAVE.ldr -outfile ./Secure_BLw/UART_Slave/BLw_UARTSLAVE_256.ldr

::SPI Slave(Single, Dual and Quad)
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Single.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Single_256.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -attribute 0x80000002=0x5 -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Dual.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Dual_256.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -attribute 0x80000002=0x9 -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Quad.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Quad_256.ldr

::SPI Master(Single, Dual and Quad)
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Master/SPIMASTER_Single.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Single_256.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -attribute 0x80000002=0x5 -infile ./Normal/SPI_Master/SPIMASTER_Dual.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Dual_256.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=256 -prikey ../../../Keys/256_ECDSA/keypair.bin -enckey ../../../Keys/256_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/256_ECDSA/wrapper_key.bin -attribute 0x80000002=0x9 -infile ./Normal/SPI_Master/SPIMASTER_Quad.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Quad_256.ldr

::224-bit ECDSA Algorithm

::LP Slave
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/LP_Slave/LPSLAVE.ldr -outfile ./Secure_BLw/LP_Slave/BLw_LPSLAVE_224.ldr

::UART Slave
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/UART_Slave/UARTSLAVE.ldr -outfile ./Secure_BLw/UART_Slave/BLw_UARTSLAVE_224.ldr

::SPI Slave(Single, Dual and Quad)
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Single.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Single_224.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -attribute 0x80000002=0x5 -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Dual.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Dual_224.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -attribute 0x80000002=0x9 -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Slave/SPISLAVE_Quad.ldr -outfile ./Secure_BLw/SPI_Slave/BLw_SPISLAVE_Quad_224.ldr

::SPI Master(Single, Dual and Quad)
"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -infile ./Normal/SPI_Master/SPIMASTER_Single.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Single_224.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -attribute 0x80000002=0x5 -infile ./Normal/SPI_Master/SPIMASTER_Dual.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Dual_224.ldr

"C:\Analog Devices\CrossCore Embedded Studio 2.9.3\signtool.exe" sign -type BLw -attribute 0x80000003=224 -prikey ../../../Keys/224_ECDSA/keypair.bin -enckey ../../../Keys/224_ECDSA/encrypt_key.bin -wrapkey ../../../Keys/224_ECDSA/wrapper_key.bin -attribute 0x80000002=0x9 -infile ./Normal/SPI_Master/SPIMASTER_Quad.ldr -outfile ./Secure_BLw/SPI_Master/BLw_SPIMASTER_Quad_224.ldr
pause;