/*****************************************************************************
 * Return_Flag_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "Return_Flag_Core0.h"

#include <cdefSC59x_rom.h>
#include <defSC59x_rom.h>

int main()
{

	adi_initComponents();
	
	*pREG_SPU0_SECUREP146= 0x3; //MDMA0_SRC
	*pREG_SPU0_SECUREP147= 0x3; //MDMA0_DST

	/* With Return Flag set, it will boot the secondary application and jumps back to the primary
	 * application again without executing the secondary application. Care must be taken, so that the
	 * primary and secondary application space does not overlap. Otherwise it wont return back to the
	 * primary application, due to overwrite.
	 */
	adi_rom_Boot((unsigned int *)0x60040000,BITM_ROM_BFLAG_RETURN,0,0,0x10207);

	return 0;
}

