/*****************************************************************************
 * ROM_API.h
 *****************************************************************************/

#ifndef __ROM_API_H__
#define __ROM_API_H__

/* Add your custom header content here */
#include <cdef2156x_rom_otpLayout.h>
#include <cdef2156x_rom.h>
#include <def2156x_rom_jumptable.h>
#include <def2156x_rom.h>
#include <sys/adi_core.h>
#include <stdio.h>


/*Select one the macro below */
//#define OSPI_SINGLE_MODE_STR
//#define OSPI_DUAL_MODE_STR
//#define OSPI_QUAD_MODE_STR
//#define OSPI_SINGLE_MODE_DTR
//#define OSPI_DUAL_MODE_DTR
//#define OSPI_QUAD_MODE_DTR
#define OSPI_OCTAL_MODE_STR    // Use the bare metal flash programmer to program the second flash.
//#define SPI_SINGLE_MODE
//#define SPI_DUAL_MODE
//#define SPI_QUAD_MODE

//#define ECDSA_256
//#define ECDSA_224

/*Select one the macro below */
//#define BLp
//#define BLx
//#define BLw

uint32_t ROM_BOOT_HOOK_FUNC1(ADI_ROM_BOOT_CONFIG * pBootConfig, ROM_HOOK_CALL_CAUSE cause);
ROM_BOOT_RESULT bootInitFunction(ADI_ROM_BOOT_CONFIG * pBootConfig);
void bootConfigFunction(ADI_ROM_BOOT_CONFIG * pBootConfig);
void bootLoadFunction(ADI_ROM_BOOT_CONFIG * pBootConfig);
void bootCleanUpFunction(ADI_ROM_BOOT_CONFIG * pBootConfig);
#endif /* __ROM_API_H__ */
