/*
 **
 ** Source file generated on July 9, 2021 at 20:20:23.	
 **
 ** Copyright (C) 2011-2021 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** OSPI0 (CLK, D2, D3, MISO, MOSI, SEL1)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** PA00, PA01, PA02, PA03, PA04, PA05
 */

#include <sys/platform.h>
#include <stdint.h>

#define OSPI0_CLK_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<8))
#define OSPI0_D2_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<4))
#define OSPI0_D3_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<6))
#define OSPI0_MISO_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<0))
#define OSPI0_MOSI_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<2))
#define OSPI0_SEL1_PORTA_MUX  ((uint16_t) ((uint16_t) 1<<10))

#define OSPI0_CLK_PORTA_FER  ((uint16_t) ((uint16_t) 1<<4))
#define OSPI0_D2_PORTA_FER  ((uint16_t) ((uint16_t) 1<<2))
#define OSPI0_D3_PORTA_FER  ((uint16_t) ((uint16_t) 1<<3))
#define OSPI0_MISO_PORTA_FER  ((uint16_t) ((uint16_t) 1<<0))
#define OSPI0_MOSI_PORTA_FER  ((uint16_t) ((uint16_t) 1<<1))
#define OSPI0_SEL1_PORTA_FER  ((uint16_t) ((uint16_t) 1<<5))

int32_t adi_initpinmux(void);

/*
 * Initialize the Port Control MUX and FER Registers
 */
int32_t adi_initpinmux(void) {
    /* PORTx_MUX registers */
    *pREG_PORTA_MUX = OSPI0_CLK_PORTA_MUX | OSPI0_D2_PORTA_MUX
     | OSPI0_D3_PORTA_MUX | OSPI0_MISO_PORTA_MUX | OSPI0_MOSI_PORTA_MUX
     | OSPI0_SEL1_PORTA_MUX;

    /* PORTx_FER registers */
    *pREG_PORTA_FER = OSPI0_CLK_PORTA_FER | OSPI0_D2_PORTA_FER
     | OSPI0_D3_PORTA_FER | OSPI0_MISO_PORTA_FER | OSPI0_MOSI_PORTA_FER
     | OSPI0_SEL1_PORTA_FER;
    return 0;
}

